package com.upyuns.platform.rs.gtdata;

import java.io.Serializable;
import java.util.List;

/**

 * Description:个人云盘分享文件的属性
 * @author zhengmaopan 2015-6-18
 * @version v1.0
 */
public class ShareFile implements Serializable {

	private static final long serialVersionUID = -1068754518809085144L;
	private String id;
	private String name; //分享or 组名
	private String user; //用户名
	private String sharetime; //分享时间
	private String size; //文件大小
	private String isdir; //是否路径
	private String path; //文件路径
	private List<ShareFile> child;
	
	public List<ShareFile> getChild() {
		return child;
	}
	public void setChild(List<ShareFile> child) {
		this.child = child;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	public String getSharetime() {
		return sharetime;
	}
	public void setSharetime(String sharetime) {
		this.sharetime = sharetime;
	}
	public String getSize() {
		return size;
	}
	public void setSize(String size) {
		this.size = size;
	}
	public String getIsdir() {
		return isdir;
	}
	public void setIsdir(String isdir) {
		this.isdir = isdir;
	}
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}

}
